DOMEntityReference::__construct
DOMImplementation
DOM
PHP Manual

# The DOMException class

## Introduction

DOM operations raise exceptions under particular circumstances, i.e., when an operation is impossible to perform for logical reasons.

See also Exceptions.

## Class synopsis

DOMException
DOMException extends Exception {
/* Properties */
readonly public int $code ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

code

  An integer indicating the type of error generated

DOMEntityReference::__construct
DOMImplementation
DOM
PHP Manual